await seam.devices.unmanaged.get({
device_id: "9f871e41-0ce4-4825-8d99-9653df4cd525",
});
/*
{
"can_program_offline_access_codes": false,
"can_program_online_access_codes": true,
"can_remotely_lock": true,
"can_remotely_unlock": true,
"can_simulate_connection": false,
"can_simulate_disconnection": true,
"can_simulate_removal": true,
"capabilities_supported": [
"access_code",
"lock"
],
"connected_account_id": "c1a3967f-24a1-4220-a9c7-7fa97c1d5603",
"created_at": "2025-06-16T16:54:17.946342Z",
"device_id": "9f871e41-0ce4-4825-8d99-9653df4cd525",
"device_type": "schlage_lock",
"errors": [],
"is_managed": false,
"location": {
"location_name": "Front Door",
"timezone": "America/New_York"
},
"properties": {
"accessory_keypad": {
"battery": {
"level": 1
},
"is_connected": true
},
"battery": {
"level": 1,
"status": "full"
},
"battery_level": 1,
"image_alt_text": "Schlage Sense Smart Deadbolt with Camelot Trim, Front",
"image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/devices/schlage_sense-smart-deadbolt-with-camelot-trim_front.png&q=75&w=128",
"manufacturer": "schlage",
"model": {
"accessory_keypad_supported": true,
"can_connect_accessory_keypad": true,
"display_name": "Front Door",
"has_built_in_keypad": false,
"manufacturer_display_name": "Schlage",
"offline_access_codes_supported": false,
"online_access_codes_supported": true
},
"name": "My Unmanaged Device",
"offline_access_codes_enabled": false,
"online": true,
"online_access_codes_enabled": true
},
"warnings": [],
"workspace_id": "3cd6ba1c-8a60-4c24-b487-07bf6c0b755b"
}
*/{
"device": {
"capabilities_supported": [
"access_code"
],
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"custom_metadata": {},
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_type": "akuvox_lock",
"display_name": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_managed": false,
"properties": {
"model": {
"display_name": "<string>",
"manufacturer_display_name": "<string>",
"accessory_keypad_supported": true,
"can_connect_accessory_keypad": true,
"has_built_in_keypad": true,
"offline_access_codes_supported": true,
"online_access_codes_supported": true
},
"name": "<string>",
"online": true,
"accessory_keypad": {
"is_connected": true,
"battery": {
"level": 0.5
}
},
"battery": {
"level": 0.5,
"status": "critical"
},
"battery_level": 0.5,
"image_alt_text": "<string>",
"image_url": "<string>",
"manufacturer": "<string>",
"offline_access_codes_enabled": true,
"online_access_codes_enabled": true
},
"warnings": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"can_configure_auto_lock": true,
"can_hvac_cool": true,
"can_hvac_heat": true,
"can_hvac_heat_cool": true,
"can_program_offline_access_codes": true,
"can_program_online_access_codes": true,
"can_program_thermostat_programs_as_different_each_day": true,
"can_program_thermostat_programs_as_same_each_day": true,
"can_program_thermostat_programs_as_weekday_weekend": true,
"can_remotely_lock": true,
"can_remotely_unlock": true,
"can_run_thermostat_programs": true,
"can_simulate_connection": true,
"can_simulate_disconnection": true,
"can_simulate_hub_connection": true,
"can_simulate_hub_disconnection": true,
"can_simulate_paid_subscription": true,
"can_simulate_removal": true,
"can_turn_off_hvac": true,
"can_unlock_with_code": true,
"location": {
"location_name": "<string>",
"room_name": "<string>",
"time_zone": "<string>",
"timezone": "<string>"
}
}
}Get an Unmanaged Device
Returns a specified unmanaged device.
An unmanaged device has a limited set of visible properties and a subset of supported events. You cannot control an unmanaged device. Any access codes on an unmanaged device are unmanaged. To control an unmanaged device with Seam, convert it to a managed device.
You must specify either device_id or name.
You must include at least one request parameter.
await seam.devices.unmanaged.get({
device_id: "9f871e41-0ce4-4825-8d99-9653df4cd525",
});
/*
{
"can_program_offline_access_codes": false,
"can_program_online_access_codes": true,
"can_remotely_lock": true,
"can_remotely_unlock": true,
"can_simulate_connection": false,
"can_simulate_disconnection": true,
"can_simulate_removal": true,
"capabilities_supported": [
"access_code",
"lock"
],
"connected_account_id": "c1a3967f-24a1-4220-a9c7-7fa97c1d5603",
"created_at": "2025-06-16T16:54:17.946342Z",
"device_id": "9f871e41-0ce4-4825-8d99-9653df4cd525",
"device_type": "schlage_lock",
"errors": [],
"is_managed": false,
"location": {
"location_name": "Front Door",
"timezone": "America/New_York"
},
"properties": {
"accessory_keypad": {
"battery": {
"level": 1
},
"is_connected": true
},
"battery": {
"level": 1,
"status": "full"
},
"battery_level": 1,
"image_alt_text": "Schlage Sense Smart Deadbolt with Camelot Trim, Front",
"image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/devices/schlage_sense-smart-deadbolt-with-camelot-trim_front.png&q=75&w=128",
"manufacturer": "schlage",
"model": {
"accessory_keypad_supported": true,
"can_connect_accessory_keypad": true,
"display_name": "Front Door",
"has_built_in_keypad": false,
"manufacturer_display_name": "Schlage",
"offline_access_codes_supported": false,
"online_access_codes_supported": true
},
"name": "My Unmanaged Device",
"offline_access_codes_enabled": false,
"online": true,
"online_access_codes_enabled": true
},
"warnings": [],
"workspace_id": "3cd6ba1c-8a60-4c24-b487-07bf6c0b755b"
}
*/{
"device": {
"capabilities_supported": [
"access_code"
],
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"custom_metadata": {},
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_type": "akuvox_lock",
"display_name": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_managed": false,
"properties": {
"model": {
"display_name": "<string>",
"manufacturer_display_name": "<string>",
"accessory_keypad_supported": true,
"can_connect_accessory_keypad": true,
"has_built_in_keypad": true,
"offline_access_codes_supported": true,
"online_access_codes_supported": true
},
"name": "<string>",
"online": true,
"accessory_keypad": {
"is_connected": true,
"battery": {
"level": 0.5
}
},
"battery": {
"level": 0.5,
"status": "critical"
},
"battery_level": 0.5,
"image_alt_text": "<string>",
"image_url": "<string>",
"manufacturer": "<string>",
"offline_access_codes_enabled": true,
"online_access_codes_enabled": true
},
"warnings": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"can_configure_auto_lock": true,
"can_hvac_cool": true,
"can_hvac_heat": true,
"can_hvac_heat_cool": true,
"can_program_offline_access_codes": true,
"can_program_online_access_codes": true,
"can_program_thermostat_programs_as_different_each_day": true,
"can_program_thermostat_programs_as_same_each_day": true,
"can_program_thermostat_programs_as_weekday_weekend": true,
"can_remotely_lock": true,
"can_remotely_unlock": true,
"can_run_thermostat_programs": true,
"can_simulate_connection": true,
"can_simulate_disconnection": true,
"can_simulate_hub_connection": true,
"can_simulate_hub_disconnection": true,
"can_simulate_paid_subscription": true,
"can_simulate_removal": true,
"can_turn_off_hvac": true,
"can_unlock_with_code": true,
"location": {
"location_name": "<string>",
"room_name": "<string>",
"time_zone": "<string>",
"timezone": "<string>"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the unmanaged device that you want to get.
Name of the unmanaged device that you want to get.
1Response
OK
Represents an unmanaged device. An unmanaged device has a limited set of visible properties and a subset of supported events. You cannot control an unmanaged device. Any access codes on an unmanaged device are unmanaged. See the unmanaged_device object.
Show child attributes
Show child attributes
Was this page helpful?